<template>
  <LayoutVue>
    <div class="columns is-justify-content-space-between py-6">
      <!-- DESCRIPTION -->
      <div class="column description is-mobile-justify-content">
        <h1 class="is-size-4 has-text-primary has-text-weight-bold">
          Faites nous part de vos remarques ou suggestions.
        </h1>
        <p class="py-2">
          Avez-vous remarqué des informations incohérentes ou manquantes ?
          Ajoutez votre pierre à l'édifice en nous envoyant un mail
          <g-link to="/comment-ca-marche"> En savoir plus </g-link>
        </p>
        <figure class="image is-flex is-justify-content-center">
          <g-image
            src="@/assets/contact_us.png"
            title="Contactez nous"
            alt="Ecrivez nous"
          />
        </figure>
      </div>
      <!-- FORM -->
      <form
        id="form"
        class="column contact_form m-0"
        @submit.prevent="sendEmail"
      >
        <input
          id="full_name"
          v-model="full_name"
          type="text"
          placeholder="Nom complet"
          name="full_name"
          class="is-block p-3 mb-2 form_input"
        />
        <input
          id="email"
          v-model="email"
          type="email"
          name="email"
          placeholder="Email"
          class="is-block p-3 mb-2 form_input"
        />
        <input
          id="object"
          v-model="object"
          type="text"
          name="object"
          placeholder="Objet"
          class="is-block p-3 mb-2 form_input"
        />
        <textarea
          id="message"
          v-model="message"
          name="message"
          placeholder="Message"
          class="form_input py-5 px-3 mb-2"
          rows="8"
        >
        </textarea>
        <input
          type="submit"
          value="ENVOYER"
          class="p-3"
          style="background-color: #e6661e"
        />
        <span id="result"></span>
      </form>
    </div>
  </LayoutVue>
</template>
<script>
import emailjs from 'emailjs-com';

export default {
  data() {
    return {
      full_name: null,
      email: null,
      object: null,
      message: null,
      themessage: null,
      loader: false,
    };
  },
  mounted: () => {},
  metaInfo: {
    title: 'Contactez-nous',
  },
  methods: {
    sendEmail(e) {
      const vm = this;
      vm.loader = true;
      emailjs
        .sendForm(
          process.env.GRIDSOME_EMAIL_JS_SERVICE_ID,
          process.env.GRIDSOME_EMAIL_JS_TEMPLATE_ID,
          e.target,
          process.env.GRIDSOME_EMAIL_JS_ACCESS_TOKEN
        )
        .then(
          (result) => {
            document.getElementById('result').innerHTML =
              "<span style='color:green'>Votre message a été envoyé.</span>";
            document.getElementById('form').reset();
            vm.loader = false;
          },
          (error) => {
            document.getElementById('result').innerHTML =
              "<span style='color:red'>Problème de connection, vérifiez votre connexion.</span>";
          }
        );
    },
  },
};
</script>
<style lang="scss" scoped>
.custom-container {
  @media only screen and (min-width: 1024px) {
    padding-left: 10% !important;
    padding-right: 10% !important;
    & .description,
    & .contact_form {
      max-width: 700px;
    }
  }
  & .image {
    & img {
      width: auto;
      height: 40vh;
    }
  }
  & input,
  & select,
  & textarea {
    width: 100%;
    outline: none;
    border: none;
    border-radius: 4px;
  }
  & .form_input {
    color: #888;
    box-shadow: 0 0.5em 1em -0.125em rgb(10 10 10 / 10%),
      0 0 0 1px rgb(10 10 10 / 2%);
  }
}
</style>
